@import url("https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;700&display=swap");

input {
  display: block;
  width: 100%;
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #212529;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  appearance: none;
  border-radius: 0.375rem;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

input:focus {
  color: #212529;
  background-color: #fff;
  border-color: #86b7fe;
  outline: 0;
  box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
}

body {
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  height: 100vh;
  font-family: "Open Sans", sans-serif;
}

form {
  width: 300px;
}

label {
  margin-bottom: 10px;
  display: block;
}

img {
  margin: auto;
  width: 150px;
}

.btn {
  width: 100%;
  display: inline-block;
  font-weight: 400;
  line-height: 1.5;
  color: #212529;
  text-align: center;
  text-decoration: none;
  vertical-align: middle;
  cursor: pointer;
  user-select: none;
  background-color: transparent;
  border: 1px solid transparent;
  padding: 0.5rem 0.1rem;
  font-size: 1rem;
  border-radius: 0.5rem;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
    border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.btn-primary {
  color: #fff;
  background-color: #0d6efd;
  border-color: #0d6efd;
}

.btn-primary:hover {
  color: #fff;
  background-color: #0a58ca;
  border-color: #0a58ca;
}

.link-acesso {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.link-acesso form {
  width: 100%;
  opacity: 0;
}

.link-acesso form img {
  object-fit: contain;
}

.link-acesso form button {
  background-color: transparent;
  width: 100px;
  height: 100px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid #b1b1b1;
  cursor: pointer;
  text-transform: uppercase;
  font-weight: bold;
  color: #343434;
}

.link-acesso form button:hover {
  border: 1px solid #0a58ca;
  background-color: #0a58ca;
  color: #fff;
}
